Last Comment Bug 813275 - [uxbranch][Font] Increasing and Unifying the Font Sizes of the Browser
: [uxbranch][Font] Increasing and Unifying the Font Sizes of the Browser
Status: VERIFIED FIXED
visual design, usability, uxbranch, l...
: polish
Product: Firefox OS
Classification: Client Software
Component: Gaia::Browser (show other bugs)
: unspecified
: All Other
: P2 normal (vote)
: ---
Assigned To: Patryk Adamczyk [:patryk] UX
: Naoki Hirata :nhirata (please use needinfo instead of cc)
Mentors:
Depends on: 811480
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 12:49 PST by Patryk Adamczyk [:patryk] UX
Modified: 2013-01-02 17:06 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (40.34 KB, image/png)
2012-11-21 13:59 PST, Naoki Hirata :nhirata (please use needinfo instead of cc)
no flags Details
changes 1 (66.60 KB, image/png)
2012-11-26 09:19 PST, Patryk Adamczyk [:patryk] UX
no flags Details
changes 2 (17.03 KB, image/png)
2012-11-26 09:20 PST, Patryk Adamczyk [:patryk] UX
no flags Details
changes 3 (56.26 KB, image/png)
2012-11-26 09:21 PST, Patryk Adamczyk [:patryk] UX
no flags Details
screenshot 1 comparison (94.38 KB, image/png)
2012-11-28 14:48 PST, Naoki Hirata :nhirata (please use needinfo instead of cc)
no flags Details
screenshot 2 comparison (112.16 KB, image/png)
2012-11-28 14:49 PST, Naoki Hirata :nhirata (please use needinfo instead of cc)
no flags Details
screenshot (59.35 KB, image/png)
2012-11-28 15:01 PST, Naoki Hirata :nhirata (please use needinfo instead of cc)
no flags Details
Top Sites - What I see (39.18 KB, image/png)
2012-11-29 05:31 PST, Patryk Adamczyk [:patryk] UX
no flags Details
screenshot from main branch (35.71 KB, image/png)
2012-11-29 08:10 PST, Naoki Hirata :nhirata (please use needinfo instead of cc)
no flags Details
my new change seems to have worked. (60.90 KB, image/png)
2012-11-30 09:44 PST, Patryk Adamczyk [:patryk] UX
no flags Details

Description Patryk Adamczyk [:patryk] UX 2012-11-19 12:49:32 PST
Increasing font sizes to at least 6pt to 1.4rem
Removing "bold" or "600" weight reference
Unifying layout and type spacing
Comment 1 Patryk Adamczyk [:patryk] UX 2012-11-20 06:26:30 PST
Fixed in UX Branch with https://github.com/patrykdesign/gaia/commit/1a972b3659c18c8ab1bbe3dfd3c6a614fda24a35
Comment 2 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-21 13:59:29 PST
Created attachment 684181 [details]
screenshot

Not sure if we have to worry about the licensing line?
Comment 3 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-21 14:04:05 PST
If that is fine then this is verified...
Comment 4 Patryk Adamczyk [:patryk] UX 2012-11-22 05:55:53 PST
I didn't change the fonts on that page, just in the app, but looks correct.
Comment 5 Patryk Adamczyk [:patryk] UX 2012-11-26 09:17:13 PST
See screenshots of the change.
Waiting for Gordon to merge, the first change didn't go through.
https://github.com/gordonbrander/gaia/pull/18
Comment 6 Patryk Adamczyk [:patryk] UX 2012-11-26 09:19:23 PST
Created attachment 685198 [details]
changes 1
Comment 7 Patryk Adamczyk [:patryk] UX 2012-11-26 09:20:08 PST
Created attachment 685199 [details]
changes 2
Comment 8 Patryk Adamczyk [:patryk] UX 2012-11-26 09:21:00 PST
Created attachment 685200 [details]
changes 3
Comment 9 Gordon Brander :gordonb 2012-11-27 03:31:31 PST
Landed in UX branch: https://github.com/gordonbrander/gaia/commit/681164a9849f44cb817248b2a98914718a35f7fb
Comment 10 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-28 14:41:37 PST
I found bug 816243 that happens regardless of this commit.
Comment 11 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-28 14:48:24 PST
Created attachment 686297 [details]
screenshot 1 comparison
Comment 12 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-28 14:49:12 PST
Created attachment 686298 [details]
screenshot 2 comparison
Comment 13 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-28 14:58:06 PST
I also found bug 816151 in the main branch.  I don't think it's related.

Changes also occur in the startscreen, crashscreen, crash menu, highlights in the awesome page, and browser settings.
Comment 14 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-28 15:01:25 PST
Created attachment 686300 [details]
screenshot

Not sure if it has to do with the changes here, kill the browser with an adb shell kill -11 <pid of browser> shows the button that's hard to press because it is hidden underneath the browser menu bar.
Comment 15 Patryk Adamczyk [:patryk] UX 2012-11-29 05:31:06 PST
Created attachment 686546 [details]
Top Sites - What I see
Comment 16 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-11-29 08:10:44 PST
Created attachment 686605 [details]
screenshot from main branch

separate bugs were filed for the issue mentioned in comment 14 and the spacing issue.

https://bugzilla.mozilla.org/show_bug.cgi?id=816481
https://bugzilla.mozilla.org/show_bug.cgi?id=816482

The changes in this bug are in.  The enlarging of the crash report text pushed the reload button down which caused bug 816482 to appear from what I can tell.  I could be mistaken.
Comment 17 Patryk Adamczyk [:patryk] UX 2012-11-30 09:44:46 PST
Created attachment 687151 [details]
my new change seems to have worked.
Comment 18 Patryk Adamczyk [:patryk] UX 2012-11-30 09:45:04 PST
https://github.com/gordonbrander/gaia/pull/37
Comment 19 Gordon Brander :gordonb 2012-12-03 16:30:57 PST
Reverted previous merge that introduced bug https://github.com/gordonbrander/gaia/commit/004ba9121ca8baf497dbaf8849b3431b23c40a63

Tested new fix on device and merged into UX branch: https://github.com/gordonbrander/gaia/commit/8ad2997d66586b89f12b259bfe319fd5ae85fd17
Comment 20 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-12-06 16:42:20 PST
polish bug 819168 happens in the main branch as well.
Comment 21 Gordon Brander :gordonb 2012-12-10 10:59:34 PST
Fixed in 96b796c6ff4d3d56f3fc7f04aa9cf8df6694613d <https://github.com/mozilla-b2g/gaia/commit/96b796c6ff4d3d56f3fc7f04aa9cf8df6694613d>
Comment 22 sarsenyev 2013-01-02 17:06:06 PST
Reviewed and verified on "Unagi" device
Build ID:20130102070202

Note You need to log in before you can comment on or make changes to this bug.


Privacy Policy